'use strict';

const stream = require("stream");
const combiner = require("stream-combiner2");
const plumber = require("gulp-plumber");
const namedLog = require("gulp-named-log");

module.exports = function(name, streams, options = {}) {
	let logger = namedLog(name, options.logger);

	let streamList = [
		plumber(logger.error)
	].concat(streams).concat([
		logger.stream()
	]);

	return combiner.obj(streamList)
}